/*
 * data.c
 */
#include "copyright.h"

#include "defs.h"
#include "struct.h"
#include "data.h"

struct player *players;
struct player *me;
struct torp *torps;
struct plasmatorp *plasmatorps;
struct status *status;
struct ship *myship;
struct stats *mystats;
struct planet *planets;
struct phaser *phasers;
struct message *messages;
struct mctl *mctl;
struct team *teams;

int	oldalert = PFGREEN;	/* Avoid changing more than we have to */
int 	remap[9] = { 0, 1, 2, -1, 3, -1, -1, -1, 4 };
int	messpend;
int	lastcount;
int	mdisplayed;
int	redrawall;
int	selfdest;
int	udcounter;
int	lastm;
int	delay;			/* delay for decaring war */
int	rdelay;			/* delay for refitting */
int	mapmode = 1; 
int	namemode = 1; 
int	showStats;
int	showShields;
int	warncount = 0;
int	warntimer = -1;
int	infomapped = 0;
int	mustexit = 0;
int	messtime = MESSTIME;
int	keeppeace = 0;
int	showlocal = 2;
int 	showgalactic = 2;
char 	*shipnos="0123456789abcdefghijklmnopqrstuvwxyz";
int 	sock= -1;
int 	xtrekPort=27320;
int	shipPick;
int	teamPick;
int	repCount=0;
char 	namePick[16];
char 	passPick[16];
int	inputMask = -1;
int 	nextSocket;
char	*host;
int 	noressurect=0;
int	userVersion=0;
int	timerDelay=200000;	/* delay between sending stuff to client */
char	testdata[16];
int	testtime= -1;
/*char 	*serverName="sequent.Berkeley.EDU";*/
char	*serverName="xserver.amdahl.com";
int 	tournplayers=5;
int 	shipsallowed[NUM_TYPES];
int 	weaponsallowed[WP_MAX];
int 	plkills=2;
int 	sbrank=3;
int 	startplanets[MAXPLANETS];
int 	binconfirm=1;
int	chaos=0;
int	hourratio=1;	/* Fix thing to make guests advance fast */
int	hiddenenemy=1;
float   maxload=0.7;

double	oldmax = 0.0;

double	Sin[], Cos[];		 /* Initialized in sintab.c */

char teamlet[] = {'I', 'F', 'R', 'X', 'K', 'X', 'X', 'X', 'O'};
char *teamshort[9] = {"IND", "FED", "ROM", "X", "KLI", "X", "X", "X", "ORI"};
char pseudo[PSEUDOSIZE];
char login[PSEUDOSIZE];

struct rank ranks[NUMRANKS] = {
    { 0.0, 0.0, 0.0, "Ensign"},
    { 2.0, 1.0, 0.0, "Lieutenant"},
    { 4.0, 2.0, 0.8, "Lt. Cmdr."}, 
    { 8.0, 3.0, 0.8, "Commander"},
    {15.0, 4.0, 0.8, "Captain"},
    {20.0, 5.0, 0.8, "Flt. Capt."},
    {25.0, 6.0, 0.8, "Commodore"},
    {30.0, 7.0, 0.8, "Rear Adm."},
    {40.0, 8.0, 0.8, "Admiral"}};

