/*
 * smessage.c
 */
#include "copyright.h"

#include <stdio.h>
#include <math.h>
#include <signal.h>
#include <ctype.h>
#include "defs.h"
#include "struct.h"
#include "data.h"

pmessage(str, recip, group, address)
char *str;
int recip;
int group;
char *address;
{
    /* Message from God */
    pmessage2(str, recip, group, address, 255);
}

pmessage2(str, recip, group, address, from)
char *str;
int recip;
int group;
char *address;
unsigned char from;
{
    struct message *cur;
    int mesgnum;

    if ((mesgnum = ++(mctl->mc_current)) >= MAXMESSAGE) {
	mctl->mc_current = 0;
	mesgnum = 0;
    }
    cur = &messages[mesgnum];
    cur->m_no = mesgnum;
    cur->m_flags = group;
    cur->m_recpt = recip;
    cur->m_from = from;
    (void) sprintf(cur->m_data, "%-9s %s", address, str);
    cur->m_flags |= MVALID;
}


